com.ietnet.fse.igestore.pep

## Class XACMLRequestBuilder

- java.lang.Object
- - com.ietnet.fse.igestore.pep.XACMLRequestBuilder

-     public class XACMLRequestBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XACMLRequestBuilder()`
    `XACMLRequestBuilder(AssertionReader samlAss)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sun.xacml.ctx.RequestCtx` | `buildXACMLRequest(org.opensaml.saml2.core.Assertion assertion, java.util.Map<java.lang.String,java.lang.String> subjectsmap, java.util.Map<java.lang.String,java.lang.String> resourcesmap, java.util.Map<java.lang.String,java.lang.String> actionmap)` Builf the XACML request from the given assertion, action, subjects map and resources map

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XACMLRequestBuilder

          public XACMLRequestBuilder()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### XACMLRequestBuilder

          public XACMLRequestBuilder(AssertionReader samlAss)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### buildXACMLRequest

          public com.sun.xacml.ctx.RequestCtx buildXACMLRequest(org.opensaml.saml2.core.Assertion assertion,
                                                       java.util.Map<java.lang.String,java.lang.String> subjectsmap,
                                                       java.util.Map<java.lang.String,java.lang.String> resourcesmap,
                                                       java.util.Map<java.lang.String,java.lang.String> actionmap)
                                                         throws java.lang.Exception

      Builf the XACML request from the given assertion, action, subjects map and resources map
      Parameters:
        `assertion` - the assertion
        `subjectsmap` - the subjects map
        `resourcesmap` - the resources map
      Returns:
        the XACML request context
      Throws:
        `java.lang.NullPointerException`
        `java.lang.Exception`